int main(void)
{
    /* Initialized data */
    static float xe = 1e-8f;
    static float p[2] = { -1.f,-2.f };
    static float u[37] = { .5f,0.f,.5f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,
          0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,
          0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f };
    static float fe = 1e-9f;
    static int m = 4;
    static int n = 2;
    static float fstep = 1.f;
    static int ipar = 1;
    static int maxk = 250;
    static float a[8] /* was [4][2] */ = { 2.f,1.f,-1.f,0.f,3.f,4.f,0.f,-1.f };
    static float b[4] = { 6.f,5.f,0.f,0.f };

    /* Local variables */
    static int ierr;
    extern int mnp1r_c(int *, int *, float *, float *, float *, float *,
                       float *, int *, int *, float *, float *, int *,
                       float *, float *, int *, int *);
    static float g[10];
    static int kount;
    static float co[3];
    static int io[4];

    mnp1r_c(&m, &n, a, b, u, p, &fstep, &ipar, &maxk, &xe, &fe, &kount, co,
            g, io, &ierr);

    printf("\n %5i \n", ierr);
    printf("\n %5i \n", kount);
    printf("\n %5i \n", maxk);
    printf("\n %16.7e %16.7e \n", p[0], p[1]);
    return 0;
} /* main */
